Subject: Static Configuration

From: Kurt Kite <[email-masked]>
Date: Fri, 30 Mar 2001 13:27:54 -0600

Hi,

I would like to get opionions on the following scenario.

The M3UA network consists of two SGs and one ASP. The SGs are
both connected to the ASP. The SGs and the ASP are statically configured.
The SGs and the ASP are both aware of the ASs and the routing keys for
the ASs. The ASsare active. Traffic is flowing to the ASs.

Now lets say that the operator wants to remove an AS definition from
the configuration data on the SG. Should this be allowed and, if yes,
what is the correct procedure. I can think of the following answers (and
undoubtably there are many more):

1) Don't use static configuration data then you won't have this problem.

    The draft allows for static configuration, so this is not a good answer.

2) Don't allow an AS definition on an SG to be removed if the AS is in
    the inactive or down state.

    This should work because inactive or down would be the state of the
     AS prior to sending an ASPIA/ASPAC. The shortcoming of this
     solution is that the ASP must send ASPDN or ASPIA to get the AS
    into the inactive or down state.

3) Allow the AS defination to be removed. The SG simply removes the
    AS definition from its configuration data.

    The problem with this solution is that the ASP is not aware that the
    AS has been removed and it still thinks the AS is active. I cannot
    see any mechanism in M3UA whereby an SG can indicate to an ASP
    that it no longer wants to support sending traffic to an AS. Should
    such a mechanism be added to M3UA? For example, the SG could
    send a NOTIFY message to the ASP with a status indication that
    the SG is no longer sending traffic for a routing context.

Thanks,
Kurt

---
You are currently subscribed to sigtran as: [email-masked]
To unsubscribe send a blank email to [email-masked]

---

From: Alex Audu <[email-masked]>
Date: Fri, 30 Mar 2001 16:29:20 -0600 (CST)

Kurt,

Yes, the craft should be able to remove the AS context from the SG. You are
right,..there is no (explicit) M-AS-DOWN request comming from the LM to the
AS context in the SG,..but that is implementation dependent (since this is 
a local issue between LM and AS context in the gateway). But, when the AS 
context get that request (for example "RemoveAs(int asID),..), it
generates an ASP_DOWN(managamentInhibit) request to all the ACTIVE or
UP ASPs belonging to the AS. Alternatively, it could send  Notify(AS_DOWN) 
to all its ASP contexts and to the MGC.

Regards,
Alex.

--original message---
> From [email-masked] Fri Mar 30 14:34:35 2001
> Subject: Static Configuration
>
> Hi,
> 
> You are currently subscribed to sigtran as: [email-masked]

---

---

From: Alex Audu <[email-masked]>
Date: Fri, 30 Mar 2001 16:40:35 -0600 (CST)

Joe,

An SG's view of an AS or ASPs is not necessarily the same as another SG's
view of the same AS. Every SG keeps a context or representation of the AS,
and doing an ASP_DOWN request from one SG simply marks the SG's view of the
ASP as being DOWN,..but it does not affect the other SG's view of the same ASP.

Regards,
Alex.

--original message---
> From [email-masked] Fri Mar 30 14:54:46 2001
> X-Lotus-FromDomain: TEKELEC
> From: Joe Keller <[email-masked]>
> Subject: Re: Static Configuration 
> 
> Kurt,
> 
>    I think Option 2 makes the most sense.  The only thing I disagree
> with is the fact that the SG could do a management inhibit to bring
> the AS to a down state.  Thoughts?
> 
> Joe
> 
> 
> Kurt Kite wrote:
> >
> > Hi,
> >

---

---

From: Joe Keller <[email-masked]>
Date: Sat, 31 Mar 2001 09:57:26 -0500

Alex,

  Exactly.  The request was the operator wanted "to remove an AS definition
from the configuration data on the SG".  Did the operator want it from one
or both SGs.  Can the operator not do a management inhibit on both?  What
if the operator only wanted one SG to be configured for this particular AS?

Joe

---